<!DOCTYPE html> 
<html> 
<head> 
	<meta charset="utf-8">
	<title>سامانه سفارش کالا</title> 
	<meta name="viewport" content="width=device-width, initial-scale=1"> 
	<link rel="stylesheet" href="jquery.mobile-1.3.1.min.css" />
	<!-- <link rel="stylesheet" href="style.css" /> -->
	<script src="jquery.js"></script>
	<script src="jquery.mobile-1.3.1.min.js"></script>
	<script src="tavanir.js"></script>
		<script>
			var defKalaAddr = 'http://gandom.gcom.ir/main/gandom_kala.php';//'http://gandom.darma.ir/main/gandom_kala.php';
			var defConfAddr = "http://gandom.gcom.ir/main/gandom_conf.php";//"http://gandom.darma.ir/main/gandom_conf.php";
			var defSabtAddr = "http://gandom.gcom.ir/main/sabt_sefaresh_mobile.php";//"http://gandom.darma.ir/main/sabt_sefaresh_mobile.php";
			//---------------------------AJAX------------------------------------
			function getAjax(url,fn)
			{
			/*
				var ajaxState = "false";
				while(ajaxState == "false")
					ajaxState = Android.getAjax(url);
				var res = "NaN";
				while(res == "NaN")
					res = Android.ajaxResponse();
				fn(res);
			*/
				Android.getAjax(url,fn);
			}
			//-------------------------------------------------------------------
			$(document).ready(function(){
				hasInternet();
			});
			function internet1()
			{
				if(typeof Android!='undefined'){
					if(Android.hasInternet()=='true')
						Android.showToast('اینترنت دارد');
					else
						Android.showToast('اینترنت قطع است');
				}
				else
					alert('آندروید نداریم');
			}
			function putconf()
			{
				if(Android.hasInternet()=='true')
				{
					$("#khoon_options").show();
					$("#update_data").buttonMarkup({theme: 'b'});
					setTimeout(function(){$("#update_data").buttonMarkup({theme: 'e'});},500);
					getAjax(defConfAddr,"putConf1");
				}
				else
					Android.showToast('اتصال اینترنت جهت بروز رسانی برقرار نیست');
			}
			function putConf1(conf)
			{
				Android.putConf(conf);
				setTimeout(function(){getkala();},1000);
			}
			function getkala()
			{
				if(Android.hasInternet()=='true')
				{
					var kala_url = (Android.getConf('kala_url')!='')?Android.getConf('kala_url'):defKalaAddr;
					getAjax(kala_url,"getkala1");
				}
				else
					Android.showToast('اتصال اینترنت جهت بروز رسانی برقرار نیست');
			}
			function getkala1(kala)
			{
				//Android.showToast('befor getkala1');
				if(typeof Android!='undefined')
				{
					Android.putText(kala);
					$("#khoon_options").hide();
					Android.showToast('بروزرسانی اطلاعات با موفقیت انجام شد');
				}
			}
			function getconf1()
			{
				if(typeof Android!='undefined'){
					Android.showToast(Android.getAllConf());
				}
			}
			function send(obj)
			{
				$(obj).buttonMarkup({theme: 'e'});
				setTimeout(function(){$(obj).buttonMarkup({theme: 'a'});},500);
				if($('#location_id').val()!='')
				{
					loadKala();
					$("#login").hide();
				}
				else
				{
					if(typeof Android!='undefined')
						Android.showToast('کد مشتری را وارد کنید');
					else
						alert('کد مشتری را وارد کنید');
				}
			}
			function geti()
			{
				if(typeof Android!='undefined'){
					$("#test_div").html(Android.getText());
					Android.showToast(Android.getText());
				}
			}
			function loadObj(inp)
			{
				var out={};
				var tmp = inp.split(',');
				var tmp1;
				for(i in tmp)
				{
					tmp1 = tmp[i].split("|");
					out[i] = {'id':tmp1[0],'name':tmp1[1],'pic':tmp1[2]};	
				}
				return(out);
			}
			function loadKala()
			{
				var out ='';
				var kal =(typeof Android!='undefined')?Android.getText():'';
				if(kal=='')
				{
					$("#options").show();
					$("#mahsool_div").hide();
				}
				else
				{
					$("#options").hide();
					$("#mahsool_div").show();
					var ka = loadObj(kal);
					$("#table_body").html('');
					for(i in ka)
					{
						var colsp=(ka[i].pic!='')?'':'colspan="2"';
						//var img = (ka[i].pic!='')?"<td width='50' ><img width='50' src='img/"+ka[i].pic+"' class='round' ></td>":"<td width='50' >&nbsp;</td>";
						var input="<input class='round sefaresh' type='number' id='tedad_"+ka[i].id+"' style='width:60px;height:30px;' onkeypress='return numbericOnKeypress(event);' >";
						//out+="<tr>"+img+"<td>"+ka[i].name+"</td>";
						out+="<tr><td>"+ka[i].name+"</td>";
						out+="<td style='width:60px;' >"+input+"</td></tr>";
					}
					$("#table_body").append(out);
				}
			}
			var sef={};
			function internetSabt(result){
				/*
				var orderId = Android.addOrder();
				for(productId in sef)
					Android.addToOrder(orderId,productId,sef[productId].meghdar);
				Android.showToast("ثبت سفارش اینترنتی  انجام شد");
				*/
				Android.showToast("ثبت سفارش اینترنتی  انجام شد");
				$("#khoon").hide();
				$("#sabt_sefaresh").show();
			}
			function sabt(obj)
			{
				$(obj).buttonMarkup({theme: 'b'});
				setTimeout(function(){$(obj).buttonMarkup({theme: 'e'});},500);
				sef={};
				var location_id = $('#location_id').val();
				var isset = false;
				$(".sefaresh").each(function(id,field){
					if($("#"+field.id).val()!='' && parseInt($("#"+field.id).val(),10)>0 )
					{
						isset = true;
						var id = field.id.split('_')[1];
						sef[id] ={};
						sef[id]['meghdar'] = $("#"+field.id).val();
						sef[id]['pardakht'] ='';
						sef[id]['tashilat'] = '';
					}
				});
				if(isset)
				{
					var req = JSON.stringify(sef);
					if(req!='{}')
					{
						if(Android.hasInternet()=='true')
						{
							var url = (Android.getConf('url')!='')?Android.getConf('url'):defSabtAddr;
							$("#khoon").show();
							$("#sabt_sefaresh").hide();
							getAjax(url+"?sefaresh="+req+"&location_id="+location_id+"&r="+Math.random()+"&","internetSabt");
						}
						else
						{
							var kh = {'location_id':location_id,'sef':sef};
							var sms = JSON.stringify(kh);
							sms = sms.replace(/:/g,'@');
							Android.sendSms(sms);
							Android.showToast("ثبت سفارش انجام شد");
							$("#msg_div").html('ثبت سفارش انجام شد');
							var orderId = Android.addOrder();
							for(productId in sef)
								Android.addToOrder(orderId,productId,sef[productId].meghdar);
						}	
					}
				}
				else
				{
					if(typeof Android!='undefined')
						Android.showToast('هیچ موردی وارد نشده است');
					else
						alert('هیچ موردی وارد نشده است');
				}
				return(sef);
			}
			function showOptions(obj)
			{
				$(obj).buttonMarkup({theme: 'e'});
				setTimeout(function(){$(obj).buttonMarkup({theme: 'b'});},500);
				$("#options").show();
				$("#mahsool_div").hide();
				$("#login").hide();
			}
			function showLogin(obj)
			{
				$(obj).buttonMarkup({theme: 'b'});
				setTimeout(function(){$(obj).buttonMarkup({theme: 'e'});},500);
				$("#options").hide();
				$("#mahsool_div").hide();
				$("#login").show();
			}
			function hasInternet()
			{
				//Android.showToast('done'+Android.hasInternet());
				if(Android.hasInternet()=='true')
					$("#internet_st").html('اتصال به اینترنت برقراراست');
				else
					$("#internet_st").html('اتصال به اینترنت قطع است');
			}
			function aboutUS(obj)
			{
				$(obj).buttonMarkup({theme: 'b'});
				setTimeout(function(){$(obj).buttonMarkup({theme: 'e'});},500);
				if($("#aboutUS_div").is(':hidden'))
					$("#aboutUS_div").show(1000);
				else
					$("#aboutUS_div").hide(1000);
			}
			var exit_v = 0;
			function backPressed()
			{
				if($("#options").is(":visible"))
				{
					$("#options").hide();
					$("#login").show();
					exit_v = 0;
				}
				else if($("#mahsool_div").is(":visible"))
				{
					$("#mahsool_div").hide();
					$("#login").show();
					exit_v = 0;
				}
				else if($("#login").is(":visible"))
				{
					if(exit_v==0)
					{
						Android.showToast('جهت خروج  دكمه بازگشت را  مجددا فشار دهيد');
						exit_v++;
						setTimeout(function(){exit_v=0;},3000);
					}
					else if(exit_v==1)
						Android.khorooj();
				}
			}
			function newVersion(obj)
			{
				$(obj).buttonMarkup({theme: 'b'});
				setTimeout(function(){$(obj).buttonMarkup({theme: 'e'});},500);
				Android.upgrade();
			}
		</script>
		<style>
			div{
				font-family:tahoma;
			}
			.pointer
			{
				cursor:pointer;
			}
			.round
			{
				-webkit-border-radius: 8px;
				-moz-border-radius: 8px;
				border-radius: 8px;
			}
			td
			{
				text-align:center;
				background-image: -ms-linear-gradient(top, #B0B0B0 0%, #FCFAFB 100%);
				background-image: -moz-linear-gradient(top, #B0B0B0 0%, #FCFAFB 100%);
				background-image: -o-linear-gradient(top, #B0B0B0 0%, #FCFAFB 100%);
				background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #B0B0B0), color-stop(1, #FCFAFB));
				background-image: -webkit-linear-gradient(top, #B0B0B0 0%, #FCFAFB 100%);
				background-image: linear-gradient(to bottom, #B0B0B0 0%, #FCFAFB 100%);
			}
		</style>
</head> 
<body dir="rtl" > 

<div data-role="page">

	<div data-role="header">
		<h2>سامانه سفارش کالای بهار</h2>
	</div><!-- /header -->

	<div data-role="content" id='login' >
		<h3>کد مشتری(<span style="color:red;" >نسخه آزمایشی</span>):</h3>
		<h4>فروشگاه ملاصدرا</h4>
			<input type="text" style="display:none;" id="location_id" onkeypress="return numbericOnKeypress(event);" value="21" readonly="readonly">
		<button data-theme="a" onclick="send(this);" >ورود </button>
		<button data-theme="b" onclick="showOptions(this);" >امکانات </button>
		<div id="internet_st" onclick="hasInternet();" >
		</div>
	</div><!-- /content -->
		
	<div id="options"  style="display:none;" >	
		<!--<a href="#" data-role="button" data-icon="star" data-theme="e" onclick="getkala();" >بروز رسانی محصولات </a> -->
		<button data-theme="e" onclick="putconf();" id="update_data" >بروز رسانی داده ها</button>
		<button data-theme="e" onclick="newVersion(this);" >نسخه جدید</button>
		<!--<a href="#" data-role="button" data-icon="star" data-theme="e" onclick="getconf1();" >مشاهده کانف </a>-->
		<button data-theme="e" onclick="aboutUS(this);" >درباره ما</button>
		<div id="aboutUS_div" style="padding:10px;display:none;" >
شرکت گستره ارتباطات شرق www.gcom.ir
<br/>
تلفن 09153068145 و 09155193104 و 05117111921
		</div>
		<button data-theme="e" onclick="showLogin(this);" >بازگشت</button>
		<div id="khoon_options" style="display:none;" >
			<img src="images/status_fb.gif" >
		</div>
	</div>
	<div id="mahsool_div"  style="display:none;" >
		<table class="round" style="width:100%;border:solid 1px #999;padding:3px;" id="table_body" >
		</table>
		<button data-theme="e" id="sabt_sefaresh" onclick="sabt(this);" >ثبت سفارشات </button>
		<div id="khoon" style="display:none;" >
			<img src="images/status_fb.gif" >
		</div>
		<button data-theme="e" onclick="showLogin(this);" >بازگشت</button>
	</div>
	<div id="msg_div" >
	</div>
</div><!-- /page -->
	
</body>
</html>
